com.ihr.xbrl.om.taxonomy

## Interface XSDParticle

- All Known Implementing Classes:
    XSDComposition, XSDElementRef, XSDElementWildcard

      public interface XSDParticle

  This interface represents an element inside a complex content model.

  Elements in a content model have values for minOccurs and maxOccurs.

  Starting with version 2.6.7, it is allowed to modify the content of the minOccurs and maxOccurs on particles, so new functions has been added.

  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jdom.Element` | `generateElement(org.jdom.Namespace xsNs)` Generates an XML representation of this particle.
    `int` | `getMaxoccurs()` Access to the value of the maxOccurs variable on this particle.
    `int` | `getMinoccurs()` Access to the value of the minOccurs variable on this particle.
    `int` | `setMaxoccurs(int newValue)` Sets the value of the maxOccurs on this particle.
    `int` | `setMinoccurs(int newValue)` Sets the value of the minOccurs on this particle.

- - ### Method Detail

    - #### getMaxoccurs

          int getMaxoccurs()

      Access to the value of the maxOccurs variable on this particle.
      Returns:
        integer or XSDComposition.UNBOUNDED

    - #### setMaxoccurs

          int setMaxoccurs(int newValue)

      Sets the value of the maxOccurs on this particle.
      Parameters:
        `newValue` - the new value to set
      Returns:
        the previous value of the maxOccurs variable
      Since:
        2.6.7

    - #### setMinoccurs

          int setMinoccurs(int newValue)

      Sets the value of the minOccurs on this particle.
      Parameters:
        `newValue` - the new value to set
      Returns:
        the previous value of the minOccurs variable
      Since:
        2.6.7

    - #### getMinoccurs

          int getMinoccurs()

      Access to the value of the minOccurs variable on this particle.
      Returns:
        integer

    - #### generateElement

          org.jdom.Element generateElement(org.jdom.Namespace xsNs)
                                           throws XBRLSerializationException

      Generates an XML representation of this particle.
      Parameters:
        `xsNs` - namespace
      Returns:
        org.jdom.Element
      Throws:
        `XBRLSerializationException` - in case of problems